Subject: Re: linux-next: manual merge of the usb tree with the pci tree

From: Greg KH <[email-masked]>
Date: Tue, 9 Jul 2019 08:35:10 +0200

On Tue, Jul 09, 2019 at 09:58:33AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 24 Jun 2019 17:47:29 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the usb tree got a conflict in:
> > 
> >   Documentation/index.rst
> > 
> > between commit:
> > 
> >   c42eaffa1656 ("Documentation: add Linux PCI to Sphinx TOC tree")
> > 
> > from the pci tree and commit:
> > 
> >   ecefae6db042 ("docs: usb: rename files to .rst and add them to drivers-api")
> > 
> > from the usb tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc Documentation/index.rst
> > index 239100accbf6,91055adde327..000000000000
> > --- a/Documentation/index.rst
> > +++ b/Documentation/index.rst
> > @@@ -101,7 -101,7 +101,8 @@@ needed)
> >      filesystems/index
> >      vm/index
> >      bpf/index
> >  +   PCI/index
> > +    usb/index
> >      misc-devices/index
> >   
> >   Architecture-specific documentation
> 
> I am still getting this conflict (the commit ids may have changed).
> Just a reminder in case you think Linus may need to know.

For a merge issue like this, I think he can handle it :)

thanks,

greg k-h